﻿@model IEnumerable<eCommerce.BackOffice.ViewModels.CustomerViewModel>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="col-xs-3">Nombre y Apellido</th>
            <th class="col-xs-3">Email</th>
            <th class="col-xs-1">Tipo</th>
            <th class="col-xs-3">Provincia</th>
            <th class="col-xs-1 text-center">Tipo</th>
            <th class="col-xs-1 text-center">Activo</th>
            <th>Registro</th>
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>
                @if (item.IsFacebookUser)
                {
                    <i class="fa fa-facebook-square" aria-hidden="true"></i>
                }
                @Html.DisplayFor(modelItem => item.FullName)
            </td>
            <td>@Html.DisplayFor(modelItem => item.Email)</td>
            <td>@item.Tipo</td>
            <td class="text-nowrap">@item.Province</td>
            <td class="text-center">@item.Tipo</td>
            <td class="text-center">
                @if (item.Enabled)
                {
                    <span class="badge badge-success">Si</span>
                }
                else
                {
                    <span class="badge badge-danger">No</span>
                }
            </td>
            <td>@item.RegisterDate.ToShortDateString()</td>
            <td class="actions text-nowrap">

                <a href="/CustomerAccounting?Id=@item.CustomerId" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                   data-toggle="tooltip" data-original-title="Cuenta Corriente" data-rowid="@item.CustomerId"><i class="icon wb-list aria-hidden=" true"></i></a>

                <a href="/Customers/OrderHistory/@item.CustomerId" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                   data-toggle="tooltip" data-original-title="Ver Historial de Compras" data-rowid="@item.CustomerId"><i class="icon wb-replay aria-hidden=" true"></i></a>

                <a href="/Customers/CustomerUpdate/@item.CustomerId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>

                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.CustomerId" onclick="fDeleteDialog(@item.CustomerId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
